Subject: Offline Message from linda: hello there, I am interested in the vtech baby mo
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 21 Jul 2020 08:29:49 -0000

From: linda <[email-masked]>
Phone: 
Location: , United Arab Emirates
URL: https://www.mumzworld.com/en/vtech-digital-audio-baby-monitor-with-light-show-projection
Department: 

hello there, I am interested in the vtech baby monitor, but i'm concerned about the range as I live in a villa  what if the frequency is not enough. Can i return this item incase it doesn't work well at my house? thank you

----
Zopim
https://www.zopim.com